For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create Permanent Route Address

Generate a personalized address for Cross-Chain Transfers

post
/v0/customers/{customer_id}/cross-chain-transfer/permanent-route-address
Authorizations
Api-KeystringRequired
Path parameters
customer_idstring · uuidRequired

The unique identifier of the customer

Body
destination_networkstring · enumRequired

The blockchain network for the destination

Possible values:
destination_tokenstring · enumRequired

The token for the destination.
Note: Base network only supports usdc, while Tron network only supports usdt

Possible values:
destination_addressstringRequired

The blockchain address where the funds will be sent

Responses
200

Successful retrieval of liquidation address

application/json
permanent_route_address_idstring · uuidOptional

The unique identifier for the permanent route address

post/v0/customers/{customer_id}/cross-chain-transfer/permanent-route-address
POST /v0/customers/{customer_id}/cross-chain-transfer/permanent-route-address HTTP/1.1
Host: api.alignlabs.dev
Api-Key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 89

{
  "destination_network": "polygon",
  "destination_token": "usdc",
  "destination_address": "text"
}
200

Successful retrieval of liquidation address

{
  "permanent_route_address_id": "123e4567-e89b-12d3-a456-426614174000",
  "route_chain_addresses": {
    "ethereum": {
      "address": "text"
    },
    "base": {
      "address": "text"
    },
    "polygon": {
      "address": "text"
    },
    "tron": {
      "address": "text"
    },
    "solana": {
      "address": "text"
    }
  },
  "route_destination": {
    "network": "text",
    "token": "usdc",
    "address": "text"
  }
}

Last updated